### File

`projects/app-base-library/src/lib/angular/components/modal-content.component.ts`

### Metadata

selector | `app-modal-content`

template

    <div class="modal-header" *ngIf="options && options.hasHeader">
      <h4 class="modal-title pull-left">{{ options.title }}</h4>
      <button type="button" class="close" aria-label="Close" (click)="bsModalRef.hide()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body" *ngIf="options">

        <ng-content></ng-content>

        <h4>todo: app-modal-content</h4>
        <div *ngIf="options.data.node">
            <!--<ab-drupal-node [node]="options.data.node"></ab-drupal-node>-->
        </div>
      <!--<ul *ngIf="list.length">-->
        <!--<li *ngFor="let item of list">{{item}}</li>-->
      <!--</ul>-->
    </div>
    <div class="modal-footer" *ngIf="options && options.hasFooter">
        <button type="button" class="btn btn-default" (click)="bsModalRef.hide()">{{ 'CLOSE' | translate }}</button>
        <button type="button" class="btn btn-default" (click)="bsModalRef.hide()">{{ 'CLOSE' | translate }}</button>
    </div>

### Index

###### Properties

- Public bsModalRef
- Public options

### Constructor

`constructor(bsModalRef: BsModalRef)`
Defined in projects/app-base-library/src/lib/angular/components/modal-content.component.ts:34

Parameters :

Name | Type | Optional
bsModalRef | `BsModalRef` | no

### Properties

Public bsModalRef
`bsModalRef: `BsModalRef``
Type : `BsModalRef`
Defined in projects/app-base-library/src/lib/angular/components/modal-content.component.ts:36

Public options
`options: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/angular/components/modal-content.component.ts:34

    import { Component, Input, OnChanges } from '@angular/core';
    // import { BsModalService } from 'ngx-bootstrap/modal';
    // import { BsModalRef } from 'ngx-bootstrap/modal/modal-options.class';
    import { BsModalRef } from 'ngx-bootstrap/modal';

    @Component({
        selector: 'app-modal-content',
        template: `
        <div class="modal-header" *ngIf="options && options.hasHeader">
          <h4 class="modal-title pull-left">{{ options.title }}</h4>
          <button type="button" class="close" aria-label="Close" (click)="bsModalRef.hide()">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body" *ngIf="options">

            <ng-content></ng-content>

            <h4>todo: app-modal-content</h4>
            <div *ngIf="options.data.node">
                <!--<ab-drupal-node [node]="options.data.node"></ab-drupal-node>-->
            </div>
          <!--<ul *ngIf="list.length">-->
            <!--<li *ngFor="let item of list">{{item}}</li>-->
          <!--</ul>-->
        </div>
        <div class="modal-footer" *ngIf="options && options.hasFooter">
            <button type="button" class="btn btn-default" (click)="bsModalRef.hide()">{{ 'CLOSE' | translate }}</button>
            <button type="button" class="btn btn-default" (click)="bsModalRef.hide()">{{ 'CLOSE' | translate }}</button>
        </div>
      `
    })
    export class ModalContentComponent {
        public options: any;

        constructor(public bsModalRef: BsModalRef) {

        }

    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""